import random

import unittest
import onetimepad as OT


class TestOneTimePad(unittest.TestCase):
    pad = 'THISISMYONETIMEPADANDITISNOTESPECIALLYBIG' \
          'BUTITISBIGENOUGHFORMYUSESIFYOUDONTMINDTHX'

    def test_encode(self):
        enc = OT.encode(IN_MSG, self.pad)
        self.assertEqual(EXPECTED_ENCODED, enc)

    def test_decode(self):
        dec = OT.decode(EXPECTED_ENCODED, self.pad)
        self.assertEqual(IN_MSG, dec)


IN_MSG = 'TWOBYFOURBOARDSONEHUNDREDCOUNTLENGTHEIGHTFEET'
EXPECTED_ENCODED = 'huteshusoahutseohusoaeutoaehusoat'
